@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Original+Surfer&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: #fff;
}

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background-image: url(bg.png);
  background-position: center;
  background-repeat: repeat-y;
  background-size: cover;
  height: 100vh;
  font-family: "Poppins", "Protest Guerrilla", "Original+Surfer";
}

@media screen and (max-width: 1200px) {
  body {
    background-image: url(bg\ -\ Copy.png);
    background-position: center;
    background-size: cover;
    background-repeat: repeat-y;
  }
  }

/* navbar*/ 
.navbar-container { 
  display: flex; 
  position: relative; 
  justify-content: space-between; 
  margin-top: 0px; 
  margin-inline: 80px; 
  width: 100vw; 
  align-items: center; 
  color: white; 
} 
.navbar-header { 
  object-fit: contain; 
  width: 200px; 
} 
.nav-head { 
  display: flex; 
  align-items: center; 
  gap: 20px; 
  display: none; 
} 
.nav-head h2 { 
  color: white; 
} 
.nav-items { 
  display: flex; 
  gap: 20px; 
  text-decoration: none; 
  list-style: none; 
  margin-top: 15px; 
  font-family: "Protest Guerrilla", system-ui; 
} 
.nav-link { 
  position: relative; 
  text-align: center; 
  font-size: 18px; 
  font-weight: 500; 
  font-family: "Protest Guerrilla", sans-serif; 
} 
.nav-link a { 
  text-decoration: none; 
  color: white; 
  transition: color 0.3s ease; 
} 
.nav-link a:hover { 
  color: orchid; 
} 
.nav-link .active { 
  color: #a305a6; 
} 
.nav-link .active:hover { 
  color: orchid; 
} 
.nav-link a::before { 
  content: ""; 
  position: absolute; 
  width: 0; 
  height: 2px; 
  bottom: -5px; 
  left: 50%; 
  background-color: orchid; 
  visibility: hidden; 
  transform: translateX(-50%); 
  transition: all 0.3s ease-in-out; 
} 
.nav-link a:hover::before { 
  visibility: visible; 
  width: 100%; 
} 
 
.nav-link .active::before { 
  width: 100%; 
  visibility: visible; 
} 
.navbar-container .nav-menu { 
  background-color: transparent; 
  border: none; 
  display: none; 
} 
 
.navbar-container .nav-menu span { 
  color: white; 
  font-size: 32px; 
} 
.navbar-container .nav-menu span:hover { 
  color: orchid; 
} 

@media screen and (max-width: 1200px) { 
  .navbar-div { 
    display: none; 
    position: fixed; 
    right: 0; 
    top: 0; 
    z-index: 5; 
    padding: 20px; 
    width: 250px; 
    height: 100vh; 
    background-color: transparent; 
    backdrop-filter: blur(20px); 
  } 
 
  .nav-head { 
    display: flex; 
    top: 0; 
    margin-top: 0; 
  } 
  .nav-head span { 
    cursor: pointer; 
    margin-top: 30px; 
  } 
  .nav-head span:hover { 
    color: orchid; 
  } 
  .nav-items { 
    flex-direction: column; 
    padding-left: 0; 
  } 
  .nav-link { 
    text-align: start; 
  } 
  .nav-link a::before { 
    top: 120px; 
    visibility: hidden; 
  } 
  .nav-link a:hover::before { 
    visibility: hidden; 
  } 
  .nav-link .active::before { 
    visibility: hidden; 
  } 
  .navbar-container { 
    margin-inline: 10px; 
    margin-top: 0; 
  } 
  .navbar-header { 
    width: 160px; 
  } 
  .navbar-container .nav-menu { 
    display: inline; 
  }}

  @media only screen and (max-width: 480px){
    .navbar-container { 
      margin-inline: 0px; 
      padding-inline: 8px; 
    }
  }
/*end of navbar*/

h1,
h2,
h3,
h4{
  font-family: "Protest Guerrilla", system-ui;
}
h1, h2{
  background: linear-gradient(to top, white, purple);
  -webkit-background-clip: text;
  background-clip: text ;
  color: transparent;
}

main {
  left: 20px;
  right: 20px;
  background-image: url(img.png);
}

.introduction {
  display: flex;
  margin-inline: 50px;
  font-family: "Protest Guerrilla";
}

.intro {
  max-width: 70%;
  margin-top: 20px;
  padding: 20px;
  color: #fff;
  flex-direction: column;
  display: flex;
  justify-content: center;
}
.int, .header h1, .container-guide h2, .section-header h2, .diet-recommendations h3, .workout, .workout-plan {
  background: linear-gradient(to top, white, purple);
  -webkit-background-clip: text;
  background-clip: text ;
  color: transparent;
}

.text {
  /* padding: 20px; */
  color: #fff;
}

.photo {
  display: block;
  margin: 20px auto;
  max-width: 35%;
  height: auto;
  margin-right: 20px;
}

@media screen and (max-width: 768px) {
  .introduction {
    flex-direction: column;
    margin-inline: 10px;
    align-items: center;
  }

  .intro {
    max-width: 100%;
    text-align: center;
  }

  .photo {
    max-width: 60%;
    margin: 10px 0;
  }
}

.header {
  margin-top: 30px;
  color: #fff;
  text-align: center;
  font-family: "Protest Guerrilla";
}

.goal-1,
.goal-2,
.goal-3 {
  flex-direction: column;
  display: flex;
  padding: 25px;
  font-family: "Poppins", serif;
}

.goal-1 h1 {
  color: darkorchid;
}

.goal-1 h3 {
  color: white;
  
}

.goal-1 p {
  color: #b1acb1;
}

.goal-1 .img-1 {
  width: 31%;
  height: 20%;
  display: flex;
  border-radius: 20px;
}

.goal-2 h1 {
  color: darkorchid;
  margin-left: 68%;
  
}

.goal-2 h3 {
  color: white;
  margin-left:68%;
}

.goal-2 p {
  color: #b1acb1;
  margin-left: 68%;
  font-family: "Poppins", serif;
  width: 90%;
}

.goal-2 .img-2 {
  width: 31%;
  height: 30%;
  display: flex;
  margin-left: 68%;
  border-radius: 20px;
}


.goal-3 h1 {
  color: darkorchid;
}

.goal-3 h3 {
  color: white;
}

.goal-3 p {
  color: #b1acb1;
}

.goal-3 .img-3 {
  width: 31%;
  height: 30%;
  display: flex;
}

@media screen and (max-width: 768px) {
  .introduction {
    flex-direction: column;
    margin-inline: 10px;
    align-items: center;
  }

  .intro {
    max-width: 100%;
    text-align: center;
  }

  .photo {
    max-width: 60%;
    margin: 10px 0;
  }

  .header {
    margin-top: 30px;
    color: #fff;
    text-align: center;
    font-family: "Protest Guerrilla";
  }

  .goal-1,
  .goal-2,
  .goal-3 {
    padding: 15px;
    text-align: center;
  }

  .goal-1 h1,
  .goal-2 h1,
  .goal-3 h1 {
    margin: 0;
  }

  .goal-1 h3,
  .goal-2 h3,
  .goal-3 h3 {
    margin: 5px 0;
  }

  .goal-1 p,
  .goal-2 p,
  .goal-3 p {
    margin: 5px 0;
  }

  .goal-1 .img-1,
  .goal-2 .img-2,
  .goal-3 .img-3 {
    width: 80%;
    height: auto;
    margin: 10px 0;
    border-radius: 20px;
  }
  .goal-2{}
}
.container-guide {
  max-width: 800px;
  margin: 20px auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  background-color: transparent;
  font-family: "Protest Guerrilla";
}

p {
  font-size: 1em;
  line-height: 1.6;
  text-align: justify;
  font-family: "Poppins", serif;
}

.highlight {
  background-color: #562d8f;
  padding: 10px;
  border-left: 5px solid #1db944;
  margin: 20px 0;
}

.card {
  border: 1px solid #c7cac7;
  border-radius: 10px;
  margin-bottom: 20px;
  background-color: transparent;
 font-family:"Poppins" ;
}

.btn {
  background: linear-gradient(to bottom, #bd08c3, #5904a2);
  color: #fff;
  border: none;
  border-radius: 20px !important;
  padding: 10px 20px;
  cursor: pointer;
  padding-top: 20px;
  font-style: italic;
}

.img-area img {
  border-radius: 10px;
  padding-bottom: 10px;
  padding-top: 0;
}

.diet-recommendations h3 {
  text-align: center;
  margin: 0 auto;
  width: 50%;
}

.recommendation-box {
  position: relative;
  width: 800px;
  height: 870px;
  background: linear-gradient(to bottom right, #e91de6, #383279);
  display: flex;
  flex-direction: column;
  padding: 20px;
  margin-left: 230px;
  margin-top: 16px;
}

.meal-category {
  margin-bottom: 20px;
  font-weight: bold;
  font-size: 23px;
  color: #fff;
  font-family: "Original Surfer";
}

@media only screen and (max-width: 768px) {
  .recommendation-box {
    flex-direction: column;
    align-items: center;
    /* margin-left: 50px; */
    position: relative;
    display: flex;
    width: 500px;
    /* font-size: small; */
    height: 960px;
  }

  .snack-water-section {
    position: relative;
    width: 100%;
    /* margin-top: 100%; */
  
  }
}

.meal-item {
  display: flex;
  margin-bottom: 10px;
  color: #fff;
  font-family: "Original Surfer";
  font-size: 10px;
}

.meal-item .colory {
  color: aquamarine;
  /* margin-left: 10%; */
  display: flex;
  padding-left: 50px;
}

.total-calories {
  font-weight: bold;
  color: #fff;
}

.snack-water-section {
  position: absolute;
  right: 0;
  top: 0;
  width: 50%;
  padding: 20px;
}
@media only screen and (max-width: 1024px) {
  .recommendation-box {
    width: 600px;
    height: auto;
    margin-left: 10%;
  }

  .snack-water-section {
    position: relative;
    width: 100%;
    margin-top: 20px;
    padding: 10px;
  }

  .meal-item {
    font-size: 16px;
  }
}

.workout {
  margin-left: 10%;
  font-family: "Protest Guerrilla";
}

.container-pw {
  max-width: 90%;
  margin: 20px auto;
  padding: 20px;
  background-color: transparent;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.box-p {
  display: flex;
  align-items: center;
  background-color: transparent;
  border: 1px solid #ccc;
  border-radius: 8px;
  margin-bottom: 20px;
}

.box-p img {
  width: 348.52px;
  height: 368px;
  border-radius: 80px;
  margin-right: 30px;
}

.box-content {
  padding-right: 20px;
  padding-top: 10px;
  font-size: 0.8em;
  font-family: "Poppins";
}

.box-content h3 {
  padding-bottom: 40px;

  
}

.box-content input[type="checkbox"].checkbox {
  -webkit-appearance: none;
  -moz-appearance: none;
  /* appearance: none;  */
  width: 20px;
  height: 20px;
  border: 2px solid #5904a2;
  border-radius: 3px;
  outline: none;
  transition: border 0.3s;
  position: relative;
  cursor: pointer;
}

.box-content input[type="checkbox"].checkbox:checked::before {
  content: "\2713";
  /* Check mark symbol */
  display: block;
  width: 16px;
  height: 16px;
  color: #fff;
  font-size: 12px;
  line-height: 16px;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.box-content input[type="checkbox"].checkbox:checked {
  background-color: #7428b7;
  border: 2px solid #7428b7;
}

@keyframes borderAnimation {
  0% {
    border-color: #bd08c3;
  }

  50% {
    border-color: black;
  }

  100% {
    border-color: #bd08c3;
  }
}


@media only screen and (min-width: 1024px) {
   .box-p {
   position: relative;
  } 
  
  h3.workout {
    text-align: center;
  }

  .box-p h3 {
    text-align: center;
    top: 10px;
    margin-left: 50%;
    position: absolute;
  }

  .box-p img {
    width: 348.52px;
    height: 368px;
    border-radius: 80px;
    margin-bottom: 30px;
  }
}
 
@media only screen and (max-width: 768px) {

  .box-p {
    flex-direction: column;
    align-items: center;
  } 
  .box-p img {
    border-radius: 8px;
    margin-right: 0;
    width: 190px;
    height: auto;
    border-radius: 38px;
  }

  .box-p h3 {
   padding-top: 10px;
  
  }

  .container-pw {
    width: 90%;
    margin: 10px auto;
    padding: 10px;
  }

  .box-content {
    font-size: 0.5em;
    margin-left: 10px;
  }

  .box-content h3 {
    padding-bottom: 20px;
    padding-left: 100px;
    font-size: 0.8em; 
  }

  .box-content h5 {
    font-size: 1.9em;
  }

  .box-content input[type="checkbox"].checkbox {
    width: 15px;
    height: 15px;
  }

  .workout {
    margin-left: 0;
    text-align: center;
  }

  .box-pp {
    height: 230px;
  }

  .box-pp img {
    width: 90px; 
    height: 50px;
    border-radius: 35px;
  }

  .box-pp h4 {
    font-size: 1em;
  }

  .box-pp p {
    width: 15%;
    font-size: 1em;
    text-align: center;
  }

  .box-pp input[type="submit"],
  input[type="value"] {
    width: 100px;
    font-family: "Poppins", serif;
    margin-top: 15;
  }
}

.container-pp {
  max-width: 45%;
  margin: 20px auto;
  padding: 10px;
  background-color: transparent;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.box-pp {
  /* display: flex;  */
  align-items: center;
  text-align: center;
  /* padding: 20px; */
  background-color: rgba(11, 11, 11, 0.89);
  border: 2px solid;
  border-radius: 10px;
  margin-bottom: 25px;
  height: auto;
  position: relative;
  animation: borderAnimation 3s infinite linear;
}

.box-pp h4 {
  padding-top: 15px;
}

.box-pp img {
  width: 120px;
  height: 80px;
  border-radius: 50px;
  margin-top: 20px;
}

.box-pp p {
  margin-top: 35px;
  /* Adjust the margin for spacing */
  width: 70%;
  font-size: 1em;
  margin-left: 15%;
 
}

#customizeWorkoutBtn{
  background: linear-gradient(to bottom, #bd08c3, #5904a2);
  color: #fff;
  padding: 10px 20px;
  border: none;
  border-radius: 20px;
  cursor: pointer;
  margin-top: 20px;
  margin-bottom: 29px;
  
}

.workout-plan {
  margin-left: 16%;
  justify-content: center;
  font-family: "Protest Guerrilla";
}


@media only screen and (max-width: 768px) {
  .box-p {
    flex-direction: column;
    align-items: center;
  }
  
  .box-content h3 {
    margin-right: 20px;
    padding-bottom: 80px;
  }
  .box-p img {
    width: 190px;
    height: auto;
    border-radius: 38px;
    margin-right: 0;
  }

  .box-content h3 {
    padding-left: 100px;
    font-size: 0.8em;
  }

  .box-content h5 {
    font-size: 1.9em;
  }

  .box-content input[type="checkbox"].checkbox {
    width: 15px;
    height: 15px;
  }

  .workout {
    margin-left: 0;
    text-align: center;
  }

  .box-content {
    font-size: 0.5em;
    margin-left: 10px;
  }
}
 @media (max-width: 768px) {
  .container-pp {
    max-width: 80%;
  }

  .box-pp img {
    width: 100px;
    height: 70px;
  }

  .box-pp p {
    width: 90%;
    margin-left: 5%;
    font-size: 0.9em;
  }

  #customizeWorkoutBtn {
    font-size: 0.9em;
    padding: 8px 18px;
  }
}


@media (max-width: 480px) {
  .container-pp {
    max-width: 95%;
  }

  .box-pp {
    padding: 10px;
  }

  .box-pp img {
    width: 60px;
    height: 50px;
    
  }

  .box-pp p {
    font-size: 0.85em;
    margin-left: 0;
    width: 100%;
  }

  input[type="submit"] {
    font-size: 0.85em;
    padding: 7px 15px;
  }

  .workout-plan {
    font-size: 1em;
    /* margin-left: 0; */
  }
}  

.health-section {
  background-color: transparent;
  color: white;
  padding: 50px 0;
  text-align: center;
}

.health-section h2 {
  font-size: 2rem;
  margin-bottom: 40px;
  color: white;
}

.img-overlay {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  /* Rounded corners */
  height: 300px;
  /* Fixed height for uniform size */
}

.img-overlay img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* Ensures the image covers the area without stretching */
  border-radius: 15px;
  transition: all 1s;
}
.img-overlay img:hover{
   height: 90%;
   width: 90%;
 
}

.img-overlay .overlay-text {
  position: absolute;
  top: 240px;
  
  left: 190px;
  color: white;
  font-size: 1rem;
  font-weight: 500;
  text-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);
   font-style: bold;
  font-family: "Poppins";

}

@media screen and (max-width: 768px) {
  .img-overlay .overlay-text {
    top: 75%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
  }
}

@media screen and (max-width: 600px) {
  .goal-1,
  .goal-2,
  .goal-3 {
    flex-direction: column;
    align-items: center;
  }

  .img-1,
  .img-2,
  .img-3 {
    width: 80%;
  }

  .intro,
  .container-guide {
    max-width: 100%;
    margin-inline: 10px;
  }

  .recommendation-box {
    width: 100%;
    margin-left: 0;
  }
}

@media screen and (max-width: 768px) {
  .container h2 {
    text-align: center;
  }
  .goal-2{
    margin-left: 0;
  }
}

@media screen and (max-width: 992px) {
  .intro,
  .header {
    padding: 0 20px;
  }

  .meal-item .colory {
    padding-left: 20px;
  }
}

img {
  max-width: 100%;
  height: auto;
}


.modal-body {
  color: black;
}
#modalCard1Label, #modalCard2Label, #modalCard3Label, .modal-body, li{
  color: black;
}
.modal {
 
  position: fixed; 
  z-index: 1; 
  left: 0;
  top: 0;
  /* overflow: auto;  */
  backdrop-filter: blur(8px); 
}

